package org.gcube.spatial.data.sdi.engine;

import java.io.File;
import java.util.Set;

import org.gcube.smartgears.context.application.ApplicationContext;
import org.gcube.spatial.data.sdi.model.metadata.MetadataReport;
import org.gcube.spatial.data.sdi.model.metadata.TemplateDescriptor;
import org.gcube.spatial.data.sdi.model.metadata.TemplateInvocation;

public interface MetadataTemplateManager {

	
	public Set<TemplateDescriptor> getAvailableTemplates();
	public MetadataReport applyTemplates(File original,Set<TemplateInvocation> invocations);
	public void init(ApplicationContext ctx);
	
}
